Subject: Re: [PATCH 7/7] svn-fe: Use the --report-fd feature

From: Jonathan Nieder <[email-masked]>
Date: Tue, 12 Oct 2010 18:36:12 -0500

Sverre Rabbelier wrote:
> On Wed, Oct 13, 2010 at 01:03, Jonathan Nieder <[email-masked]> wrote:

>> The caller has to take care of backflow of data.  Even if the
>> "cat" command were never used, at least 3>/dev/null would be
>> necessary to avoid fast-import waiting forever for the frontend
>> to read from it.
>
> Why is that? If we disable the auto-printing of sha's

Right, if we disable the auto-printing of sha's then that aspect goes
away.

>> One way to work around this would be for svn-fe to launch fast-import
>> itself.
>
> What would the pipeline look like then? In particular for git-remote-svn?

Probably something like:

svnrdump dump uri -r <lower>:<upper> |
svn-fe --fastimport='svn-filter-root ...'

Doesn't the transport helper take care of launching fast-import
itself?